Bug 121564 - open dialog not usable
open dialog not usable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-libs (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-22 22:36 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 14:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-04-22 22:36:52 EDT
Description of problem:

I can no longer type file names into the file dialog box or use
tab-completion.

Steps to Reproduce:
1. Unplug mouse.
2. Run gedit
3. Hit Alt-F O to open a file
4. Type the first few characters of the filename
5. Hit Tab
6. Hit enter.

Actual results:

The 'All Files / All Text Files' dropdown box opens

Expected results:

The file should have been opened.

Additional Info:

This is a fairly serious regression in usability. Being able to type
into the dialog box isn't really a dispensable feature.
Comment 1 David Woodhouse 2004-04-22 23:02:28 EDT
It seems the normal functionality _does_ exist but is hidden in an
easter egg -- try pressing Ctrl-L. That's not really very useful
though. It needs to be obvious, and preferably it needs to be in the
main dialog box.

Even if we can't have tab-completion in the main dialog box without a
user preference for it, then we should at least have the text entry box.
Comment 2 Havoc Pennington 2004-05-25 14:24:22 EDT
This is something that would be discussed/changed on the gnome.org
level, not in a Red Hat patch. It's already been talked to death
though so I'm not going to file a new upstream bug, you are welcome
to. ;-)

Note You need to log in before you can comment on or make changes to this bug.